Redmine - Defect #14178

PDF API broken in version 2.3.1
2013-05-30 17:51 - Massimo Rossello

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 232

Resolution: Fixed Affected version: 2.3.1
Description

The change in number of arguments in issues_to_pdf_draw_borders() in file lib/redmine/export/pdf.rb introduced by #13630 (r11693)

breaks some plugins (namely redmine_wktime).

Would it be possible to restore the same arguments, even if id_width argument not used, for APl compatibility?

Thanks

Related issues:
Follows Redmine - Defect #13630: PDF export generates the issue id twice

Closed

Associated revisions

Revision 11920 - 2013-06-04 12:54 - Toshi MARUYAMA

pdf: restore "id_width" parameter of issues_to_pdf_draw_borders (#14178)

Contributed by Massimo Rossello.

Revision 11921 - 2013-06-04 13:02 - Toshi MARUYAMA

pdf: replace "id_width" parameter name to original "col_id_width" (#14178)

Revision 11924 - 2013-06-04 14:42 - Toshi MARUYAMA
Merged r11920 and r11921 from trunk to 2.3-stable (#14178)

pdf: restore "col_id_width" parameter of issues_to_pdf_draw_borders.

Contributed by Massimo Rossello.

History

#1 - 2013-05-30 18:01 - Massimo Rossello
- File pdf.rb.patch added

Here is a patch.
Sorry | can't change the tracker to patch

#2 - 2013-05-30 18:55 - Toshi MARUYAMA

- Target version set to 2.3.2

#3 - 2013-05-30 19:10 - Jan Niggemann (redmine.org team member)

- Tracker changed from Defect to Patch

Thank you for providing the patch!

#4 - 2013-06-05 06:22 - Toshi MARUYAMA
- Tracker changed from Patch to Defect
- Subject changed from PDF API broken to PDF API broken in version 2.3.1

- Status changed from New to Closed
https://www.redmine.org/issues/13630
https://www.redmine.org/projects/redmine/repository/svn/revisions/11693

- Affected version (unused) set to 2.3.1
- Resolution set to Fixed

- Affected version set to 2.3.1

Committed in trunk and 2.3-stable, thanks.
